Bug 991712 - Internal Error (os_linux_zero.cpp:285)
Internal Error (os_linux_zero.cpp:285)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
20
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Phillips @ TO
Fedora Extras Quality Assurance
:
: 993919 (view as bug list)
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-08-03 18:12 EDT by gil cattaneo
Modified: 2015-06-29 08:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Internal Error (os_linux_zero.cpp:285) (88.11 KB, text/x-log)
2013-08-03 18:12 EDT, gil cattaneo
no flags Details
junitperf koji scratch build.log (54.06 KB, text/plain)
2013-08-10 09:21 EDT, Mat Booth
no flags Details
5803100: grizzly koji scratch build.log with hs_error.log (127.36 KB, text/x-log)
2013-08-10 13:20 EDT, gil cattaneo
no flags Details
F21 grizzly koji scratch build.log with hs_error.log (74.80 KB, text/x-log)
2013-10-04 12:43 EDT, gil cattaneo
no flags Details
F21 grizzly koji scratch build.log (74.80 KB, text/x-log)
2013-10-04 12:45 EDT, gil cattaneo
no flags Details
F21 kryo 2.22 hs_err_pid.log (307.52 KB, text/x-log)
2014-06-10 12:09 EDT, gil cattaneo
no flags Details

  None (edit)
Description gil cattaneo 2013-08-03 18:12:46 EDT
Created attachment 782399 [details]
Internal Error (os_linux_zero.cpp:285)

Description of problem:
During the rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
with grizzly-2.3.3-2.fc20 happen this problem

Running org.glassfish.grizzly.http.core.HttpResponsePacketTest
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  Internal Error (os_linux_zero.cpp:285), pid=14411, tid=3053372512
#  fatal error: caught unhandled signal 11
#
# JRE version: 7.0_25
# Java VM: OpenJDK Zero VM (23.7-b01 mixed mode linux-arm )
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/jvm-14411/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#
/bin/sh: line 1: 14411 Aborted                 /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.25-2.3.12.3.fc20.arm/jre/bin/java -jar /builddir/build/BUILD/grizzly-2.3.3/modules/http/target/surefire/surefirebooter2277798639522014827.jar /builddir/build/BUILD/grizzly-2.3.3/modules/http/target/surefire/surefire1490520910317701588tmp /builddir/build/BUILD/grizzly-2.3.3/modules/http/target/surefire/surefire_292315000813455835343tmp


http://koji.fedoraproject.org/koji/getfile?taskID=5732036&name=build.log
http://koji.fedoraproject.org/koji/getfile?taskID=5732036&name=mock_output.log
http://koji.fedoraproject.org/koji/getfile?taskID=5732036&name=root.log
http://koji.fedoraproject.org/koji/getfile?taskID=5732036&name=state.log



Version-Release number of selected component (if applicable):
JRE version: 7.0_25
Java VM: OpenJDK Zero VM (23.7-b01 mixed mode linux-arm )

"suspect" that happens only for arm arch
any ideas?
regards
Comment 1 Mat Booth 2013-08-06 10:09:24 EDT
Also can be reproduced by re-building junitperf on arm, see bug 993919 for build.log example.
Comment 2 Mat Booth 2013-08-06 10:09:59 EDT
*** Bug 993919 has been marked as a duplicate of this bug. ***
Comment 3 Deepak Bhole 2013-08-07 14:44:14 EDT
How critical is this, by the way? Chris is on vacation until end of next week (except for a couple of days) so it might be until after then before this is addressed.
Comment 4 Mat Booth 2013-08-07 16:32:23 EDT
Well, the work around seems to be, 'keep resubmitting the build until koji randomly picks a non-arm builder' but because there are quite a high percentage of arm builders now, this happens quite often.
Comment 5 Chris Phillips @ TO 2013-08-09 15:37:47 EDT
It would be very useful if you could attach the hs_error.log [ /tmp/jvm-14411/hs_error.log  in the above example ] to this bug.
Comment 6 Mat Booth 2013-08-10 09:21:25 EDT
Created attachment 785171 [details]
junitperf koji scratch build.log

Please see attached build.log that contains the contents of the hs_error.log from a koji scratch build.

If you don't have any ARM hardware to hand, you can test or reproduce this and view the hs_error.log by applying the following patch to the junitperf package, for example, and then issuing a scratch build in koji:

http://fpaste.org/31228/40741137/

fedpkg srpm && koji build --scratch f20 `pwd`/junitperf-1.9.1-12.fc20.src.rpm
Comment 7 Chris Phillips @ TO 2013-08-10 12:14:25 EDT
Looking at the stack trace I suspect this is a problem with the backport of 
cpu  20130618  bug  8001330. I'll be away for 1 week canoeing... will look at this after I return. Need to reexamine the backport of 8001330 to hsx23.
Comment 8 gil cattaneo 2013-08-10 13:20:15 EDT
Created attachment 785215 [details]
5803100: grizzly koji scratch build.log with hs_error.log
Comment 9 Fedora End Of Life 2013-09-16 11:00:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 10 gil cattaneo 2013-10-04 12:43:43 EDT
Created attachment 807831 [details]
F21 grizzly koji scratch build.log with hs_error.log

also in f21/rawhide
regards
Comment 11 gil cattaneo 2013-10-04 12:45:09 EDT
Created attachment 807832 [details]
F21 grizzly koji scratch build.log
Comment 12 Timothy St. Clair 2013-11-20 11:02:52 EST
I'm also receiving this error: 

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  Internal Error (os_linux_zero.cpp:285), pid=3282, tid=3052991584
#  fatal error: caught unhandled signal 7
#
# JRE version: 7.0_25-b33
# Java VM: OpenJDK Zero VM (23.25-b01 mixed mode linux-arm )
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/jvm-3282/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
#
Comment 13 gil cattaneo 2014-06-09 15:49:41 EDT
seem affected also java8

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  Internal Error (os_linux_zero.cpp:202), pid=29988, tid=3061556320
#  Error: ShouldNotCall()
#
# JRE version: OpenJDK Runtime Environment (8.0_05-b13) (build 1.8.0_05-b13)
# Java VM: OpenJDK Zero VM (25.5-b02 interpreted mode linux-arm )
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /builddir/build/BUILD/kryo-2.22/hs_err_pid29988.log
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
#
/bin/sh: line 1: 29988 Aborted                 /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.5/jre/bin/java -jar /builddir/build/BUILD/kryo-2.22/target/surefire/surefirebooter2898180989974157080.jar /builddir/build/BUILD/kryo-2.22/target/surefire/surefire2357075615981149990tmp /builddir/build/BUILD/kryo-2.22/target/surefire/surefire_05021321386840445219tmp
Comment 14 Chris Phillips @ TO 2014-06-10 08:14:43 EDT
Hi If you can provide an isolated testcase that reproduces this it will expedite a fix. Also is the hs_err log [ /builddir/build/BUILD/kryo-2.22/hs_err_pid29988.log ] somewhere I can reference?

Thx.
Comment 15 gil cattaneo 2014-06-10 12:09:51 EDT
Created attachment 907320 [details]
F21 kryo 2.22 hs_err_pid.log

sorry for delay
Comment 16 Fedora End Of Life 2015-05-29 05:14:26 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2015-06-29 08:09:16 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.